title spherical conservation and hydrogenic emission for hydrogen and helium
diffuse outward only
radius 13
ionization -2
blackbody 40,000
stop efrac 0.05 %stop when 5 percent ionized
hydrogenic levels large
hden 5
constant temper 7500
init file "hheonly.ini"  
punch overview 11 "hheonlyoutsp.ovr"  last
punch asserts "hheonlyoutsp.asr"  last
iterate
print last iteration
sphere
no level2
no induced processes (OK)
normalize to "Ca B" 4861 = 1 % normalize to exact result 
assert line "totl" 4861 = 1. error 0.01 % should be within 1 percent of precise
assert line "Q(H)" 4861 > 1 %make sure we conserve energy 
assert line "H  1" 18 = 0.3512 error 0.02 %Paschen alpha
assert line "H  1" 12 = 0.1693 error 0.03 %Paschen beta
assert line "H  1" 40 = 0.0835 error 0.02 %Bracket alpha
assert line "H  1" 26 = 0.0477 error 0.025%Bracket beta
assert line "BaC " 3646 = 18.26 error 0.05 %Balmer continuum rel to h-beta
c helium lines
assert line "totl" 10830 0.983
assert line "TOTL" 5876  0.1040
assert line "Ca B" 4471  0.034
assert line "TOTL" 3889  0.068
assert line "TOTL" 7065  0.028
assert line "TOTL"    2  0.026
assert hydrogen 2 ionization fraction 0.655 volume weighted
assert helium 2 ionization fraction 0.431 volume weighted
c hheonlyoutpp.in
